//! Contains the [`ImageRef`] and [`Image`] types that represent an Image4 container (an IMG4 file).

mod borrowed;
#[cfg(any(feature = "alloc", test))]
mod owned;

pub use borrowed::ImageRef;
#[cfg(any(feature = "alloc", test))]
pub use owned::Image;

#[cfg(test)]
mod tests;
