# image4-pki

[![Crate][crate-image]][crate-link]
[![Documentation][docs-rs-image]][docs-rs-link]

An **EXPERIMENTAL** crate containing an implementation of signing and verification primitives usable with the 
[`image4`](https://crates.io/crates/image4) crate. This exists to make these primitives reusable but is not even near
being production grade or secure.

## Minimum Supported Rust Version

This crate requires at least **Rust 1.65**. An MSRV change will be accompanied by a minor version bump

## License

Licensed under either of

* Apache License, Version 2.0
  ([LICENSE-APACHE](LICENSE-APACHE) or http://www.apache.org/licenses/LICENSE-2.0)
* MIT license
  ([LICENSE-MIT](LICENSE-MIT) or http://opensource.org/licenses/MIT)

at your option.

## Contribution

Unless you explicitly state otherwise, any contribution intentionally submitted
for inclusion in the work by you, as defined in the Apache-2.0 license, shall be
dual licensed as above, without any additional terms or conditions.

[crate-image]: https://img.shields.io/crates/v/image4-pki.svg
[crate-link]: https://crates.io/crates/image4-pki
[docs-rs-image]: https://docs.rs/image4-pki/badge.svg
[docs-rs-link]: https://docs.rs/image4-pki/